---
title: Emojis and symbols in terminal and HTML
excerpt: This is just for personal reference and fun.
layout: mini
permalink: /n/emoji.html
redirect_from: /r/emoji.html
sitemap: true
robots: noai
lang: en
---

# Unemojied emojis

[John D. Cook shares a nice trick to prevent emojis from being displayed as emojis](https://www.johndcook.com/blog/2022/09/30/preventing-emoji/)
and I want to store it here alongside the more personally relevant symbols.

So to make something not an emoji, `U+FE0E` or `&#65038;` and to use emoji,
`FE0F` or (`&#65039`).

<!-- editorconfig-checker-disable -->
<!-- prettier-ignore-start -->

<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->
<em lang="fi">Automaattinen sisällysluettelo</em> / <em lang="en">Automatically generated Table of Contents</em>

- [Motivational messages](#motivational-messages)
- [aminda.eu](#amindaeu)
  - [friends](#friends)
- [Flags](#flags)
- [Kingdom Hearts](#kingdom-hearts)
  - [Roman Numerals](#roman-numerals)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

<!-- prettier-ignore-end -->
<!-- editorconfig-checker-enable -->

## Motivational messages

_My shellrc has some reminders for me and these are the sequences there._

- &#9895;&#65038; Transgender symbol: `\u26A7\ufe0e` `&#9895;&#65038;`
- &#10052;&#65038; Snowflake `\u2744\ufe0e` `&#10052;&#65038;`
- &#128330;&#65038; Dove of Peace `\u1f54a\ufe0e` `&#128330;&#65038;`

## aminda.eu

- &#129477;&#65038; Onion: `\u1f9c5` `&#129477;&#65038;`
  - I guess it just doesn't have a non-emoji variant at least on my system at
    the time of writing?

### friends

- &#128062;&#65039; paws `&#128062;&#65039;`
- &#128293;&#65039; FIRE `&#128293;&#65039;`

## Flags

- &#127988;&#8205;&#9760;&#65038; Pirate Flag: `\u1f3f4\u200d\u2620\ufe0f\ufe0e`
  or `&#127988;&#8205;&#9760;&#65038;`
- &#x1F3F3;&#xFE0F;&#x200D;&#x1F308;&#65038; Pride Flag:
  `&#x1F3F3;&#xFE0F;&#x200D;&#x1F308;`
- &#x1F3F3;&#xFE0F;&#x200D;&#x26A7;&#xFE0F;&#x200D;&#65038; Trans Pride Flag:
  `&#x1F3F3;&#xFE0F;&#x200D;&#x26A7;&#xFE0F;&#x200D;&#65038;`

## Kingdom Hearts

Well, one must be prepared to discuss the clash between Light and Darkness and
the &chi;-blade, in case someone resurrects it?

- &chi; can be expressed as `\U03C7`, `&#x3C7;` or neatly `&chi;`.
  - In case of `&Chi` making it a capital letter turns it into &Chi;, but can
    you even distinguish that from X?

### Roman Numerals

_You have no idea how often I miss these. And I don't even mean to discuss the_
Organization &#8555;&#8544;.

**_WARNING: The first syntax may be incorrect._**

- &#8544; `\u2160` or `&#8544;`
- &#8545; `\u2161` or `&#8545`
- &#8546; `\u2162` or `&#8546;`
- &#8547; `\u2163` or `&#8547;`
- &#8548; `\u2164` or `&#8548;`
- &#8549; `\u2165` or `&#8549;`
- &#8550; `\u2166` or `&#8550;`
- &#8551; `\u2167` or `&#8551;`
- &#8552; `\u2168` or `&#8552;`
- &#8553; `\u2169` or `&#8553;`
- &#8554; `\u2170` or `&#8554;`
- &#8555; `\u216A` or `&#8555;`
- &#8553;&#8546;: `\u2169\u2162` or `&#8553;&#8546;`
- &#8553;&#8205;&#8547; `\u2169\u2163` or `&#8553;&#8205;&#8547;`

<!-- TODO: FINISH THESE!

- &#8556; `\u216B` or `&#8544;`
- &#8557; `\u216C` or `&#8544;`
- &#8558; `\u216D`
- &#8559; `\u216E`
- &#8560; `\u216F`
- &#8561; `\u216G`
- &#8562;
- &#8563;
- &#8564;
- &#8565;
- &#8566;
- &#8567;
- &#8568;
- &#8569;
- &#8570;
- &#8571;
- &#8572;
- &#8573;
- &#8574;
- &#8575;
- &#8576;
- &#8577;
- &#8578;
- &#8579;
- &#8581;
- &#8582;
- &#8583;
- &#8584;

-->
